## natsort 7.0.1

=== dev/requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile requirements.in
#
attrs==19.3.0             # via hypothesis, pytest
coverage==5.0.2
hypothesis==5.1.1
importlib-metadata==1.3.0  # via pluggy, pytest
more-itertools==8.0.2     # via pytest, zipp
packaging==20.0           # via pytest
pluggy==0.13.1            # via pytest
py==1.8.1                 # via pytest
pyparsing==2.4.6          # via packaging
pytest-cov==2.8.1
pytest-mock==2.0.0
pytest==5.3.2
semver==2.9.0
six==1.13.0               # via packaging
sortedcontainers==2.1.0   # via hypothesis
wcwidth==0.1.8            # via pytest
zipp==0.6.0               # via importlib-metadata

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile
#
docutils==0.15.2          # via m2r
m2r==0.2.1
mistune==0.8.4            # via m2r

## natsort 3.2.1

=== debian/changelog ===
natsort (3.2.1-1) unstable; urgency=medium

  * New Upstream version 3.2.1

 -- Agustin Henze <tin@debian.org>  Mon, 23 Jun 2014 18:11:59 -0300

natsort (3.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #751813)

 -- Agustin Henze <tin@debian.org>  Mon, 16 Jun 2014 16:46:40 -0300

=== debian/control ===
Source: natsort
Section: python
Priority: optional
Maintainer: Agustin Henze <tin@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 help2man,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
Standards-Version: 3.9.5
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Homepage: https://github.com/SethMMorton/natsort
Vcs-Git: git://anonscm.debian.org/collab-maint/natsort.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/natsort.git

Package: python-natsort
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Breaks: python-naturalsort
Conflicts: python-naturalsort
Replaces: python-naturalsort
Description: Natural sorting for python
 natsort lets you apply natural sorting to your sequences easily, for example:
 .
 >>> from natsort import natsorted
 >>> a = ['a2', 'a9', 'a1', 'a4', 'a10']
 >>> data = [['a1', 'a5'], ['a1', 'a40'], ['a10', 'a1'], ['a2', 'a5']]
 >>> natsorted(a)
 ['a1', 'a2', 'a4', 'a9', 'a10'
 >>> natsorted(data)
 [['a1', 'a5'], ['a1', 'a40'], ['a2', 'a5'], ['a10', 'a1']]
 .
 natsort identifies the numbers and sorts them separately from strings.
 .
 natsort comes with a shell script to use natural sorting in shell scripts. You
 can also execute natsort from the command line with python -m natsort.
 .
 There exists another natural sorting package for python called
 python-naturalsort. You may prefer that package if you wish to only sort
 version numbers.

Package: python3-natsort
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Natural sorting for python (python3)
 natsort lets you apply natural sorting to your sequences easily, for example:
 .
 >>> from natsort import natsorted
 >>> a = ['a2', 'a9', 'a1', 'a4', 'a10']
 >>> data = [['a1', 'a5'], ['a1', 'a40'], ['a10', 'a1'], ['a2', 'a5']]
 >>> natsorted(a)
 ['a1', 'a2', 'a4', 'a9', 'a10'
 >>> natsorted(data)
 [['a1', 'a5'], ['a1', 'a40'], ['a2', 'a5'], ['a10', 'a1']]
 .
 natsort identifies the numbers and sorts them separately from strings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

UPSTREAM_VERSION := $(shell dpkg-parsechangelog -SVersion | cut -d- -f1)
PACKAGE_NAME := $(shell dpkg-parsechangelog -SSource)
export PYBUILD_NAME=$(PACKAGE_NAME)

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/natsort.1
	rm -f debian/upstream.changelog

override_dh_installchangelogs:
	cat README.rst | grep -A 10000 History > debian/upstream.changelog
	dh_installchangelogs debian/upstream.changelog

override_dh_auto_install:
	dh_auto_install
	rm debian/python3-natsort/usr/bin/natsort
	PYTHONPATH=$(CURDIR) help2man --version-string="$(UPSTREAM_VERSION)" -n "Natural sorting for shell" debian/python-natsort/usr/bin/natsort > debian/natsort.1

get-orig-source:
	@if [ ! -d "debian" ] ; then \
		echo 'Run this from the top directory of the Debian source' >&2; \
		exit 1; \
	fi
	uscan --noconf --verbose --rename --destdir=$(CURDIR) \
		--check-dirname-level=0 --force-download --download-version $(UPSTREAM_VERSION)

## natsort 3.5.1

=== debian/changelog ===
natsort (3.5.1-1) unstable; urgency=medium

  * Imported Upstream version 3.5.1
  * Bumped Standard-Version to 3.9.6 (no changes required)

 -- Agustin Henze <tin@debian.org>  Mon, 20 Oct 2014 20:00:02 -0300

natsort (3.4.1-2) unstable; urgency=medium

  * Add breaks field between python3-natsort and python-natsort <= 3.2.1-1

 -- Agustin Henze <tin@debian.org>  Sat, 30 Aug 2014 19:17:50 -0700

natsort (3.4.1-1) unstable; urgency=medium

  * Imported Upstream version 3.4.1
  * Add python-natsort-doc binary package

 -- Agustin Henze <tin@debian.org>  Sat, 30 Aug 2014 16:56:07 -0700

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
  python-setuptools,
  python3-all,
  python3-setuptools,
-Standards-Version: 3.9.5
+ python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
 Homepage: https://github.com/SethMMorton/natsort
@@ -20,6 +21,7 @@
 Package: python-natsort
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
+Recommends: python-natsort-doc
 Breaks: python-naturalsort
 Conflicts: python-naturalsort
 Replaces: python-naturalsort
@@ -45,8 +47,10 @@
 
 Package: python3-natsort
 Architecture: all
+Recommends: python-natsort-doc
+Breaks: python-natsort (<= 3.2.1-1)
 Depends: ${python3:Depends}, ${misc:Depends}
-Description: Natural sorting for python (python3)
+Description: Natural sorting for python (Python3)
  natsort lets you apply natural sorting to your sequences easily, for example:
  .
  >>> from natsort import natsorted
@@ -58,3 +62,38 @@
  [['a1', 'a5'], ['a1', 'a40'], ['a2', 'a5'], ['a10', 'a1']]
  .
  natsort identifies the numbers and sorts them separately from strings.
+ .
+ natsort comes with a shell script to use natural sorting in shell scripts. You
+ can also execute natsort from the command line with python -m natsort.
+ .
+ There exists another natural sorting package for python called
+ python-naturalsort. You may prefer that package if you wish to only sort
+ version numbers.
+
+
+Package: python-natsort-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Recommends: python3-natsort
+Description: Natural sorting for python (doc)
+ natsort lets you apply natural sorting to your sequences easily, for example:
+ .
+ >>> from natsort import natsorted
+ >>> a = ['a2', 'a9', 'a1', 'a4', 'a10']
+ >>> data = [['a1', 'a5'], ['a1', 'a40'], ['a10', 'a1'], ['a2', 'a5']]
+ >>> natsorted(a)
+ ['a1', 'a2', 'a4', 'a9', 'a10'
+ >>> natsorted(data)
+ [['a1', 'a5'], ['a1', 'a40'], ['a2', 'a5'], ['a10', 'a1']]
+ .
+ natsort identifies the numbers and sorts them separately from strings.
+ .
+ natsort comes with a shell script to use natural sorting in shell scripts. You
+ can also execute natsort from the command line with python -m natsort.
+ .
+ There exists another natural sorting package for python called
+ python-naturalsort. You may prefer that package if you wish to only sort
+ version numbers.
+ .
+ This package contains API documentation and examples.

=== debian/rules ===
--- 
+++ 
@@ -9,21 +9,27 @@
 export PYBUILD_NAME=$(PACKAGE_NAME)
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f debian/natsort.1
 	rm -f debian/upstream.changelog
+	rm -rf docs/_build
 
 override_dh_installchangelogs:
 	cat README.rst | grep -A 10000 History > debian/upstream.changelog
 	dh_installchangelogs debian/upstream.changelog
 
+override_dh_auto_test:
+
 override_dh_auto_install:
 	dh_auto_install
-	rm debian/python3-natsort/usr/bin/natsort
-	PYTHONPATH=$(CURDIR) help2man --version-string="$(UPSTREAM_VERSION)" -n "Natural sorting for shell" debian/python-natsort/usr/bin/natsort > debian/natsort.1
+	rm debian/python-natsort/usr/bin/natsort
+	PYTHONPATH=$(CURDIR) help2man --version-string="$(UPSTREAM_VERSION)" -n "Natural sorting for shell" debian/python3-natsort/usr/bin/natsort > debian/natsort.1
+	set -ex; \
+		cd docs; \
+		sphinx-build -C -b html -Dmaster_doc=index source _build/html;
 
 get-orig-source:
 	@if [ ! -d "debian" ] ; then \

=== debian/watch ===
version=3

https://github.com/SethMMorton/natsort/releases .*archive/([0-9.]*).tar.gz

## natsort 4.0.1

=== debian/changelog ===
natsort (4.0.1-1) unstable; urgency=medium

  * Imported Upstream version 3.5.1
  * Added myself into Uploaders field.

 -- Ulises Vitulli <dererk@debian.org>  Sat, 20 Jun 2015 11:48:18 -0300

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Agustin Henze <tin@debian.org>
+Uploaders: Ulises Vitulli <dererk@debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-python,
@@ -41,7 +42,7 @@
  natsort comes with a shell script to use natural sorting in shell scripts. You
  can also execute natsort from the command line with python -m natsort.
  .
- There exists another natural sorting package for python called
+ There exists another natural sorting package for Python called
  python-naturalsort. You may prefer that package if you wish to only sort
  version numbers.
 
@@ -50,7 +51,7 @@
 Recommends: python-natsort-doc
 Breaks: python-natsort (<= 3.2.1-1)
 Depends: ${python3:Depends}, ${misc:Depends}
-Description: Natural sorting for python (Python3)
+Description: Natural sorting for Python (python3)
  natsort lets you apply natural sorting to your sequences easily, for example:
  .
  >>> from natsort import natsorted
@@ -66,7 +67,7 @@
  natsort comes with a shell script to use natural sorting in shell scripts. You
  can also execute natsort from the command line with python -m natsort.
  .
- There exists another natural sorting package for python called
+ There exists another natural sorting package for Python called
  python-naturalsort. You may prefer that package if you wish to only sort
  version numbers.
 
@@ -76,7 +77,7 @@
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Recommends: python3-natsort
-Description: Natural sorting for python (doc)
+Description: Natural sorting for Python (doc)
  natsort lets you apply natural sorting to your sequences easily, for example:
  .
  >>> from natsort import natsorted
@@ -92,7 +93,7 @@
  natsort comes with a shell script to use natural sorting in shell scripts. You
  can also execute natsort from the command line with python -m natsort.
  .
- There exists another natural sorting package for python called
+ There exists another natural sorting package for Python called
  python-naturalsort. You may prefer that package if you wish to only sort
  version numbers.
  .

## natsort 4.0.3

=== debian/changelog ===
natsort (4.0.3-2) unstable; urgency=medium

  * Fix code example in package description (Closes: #778767)
    Thanks to Daniele Forsi <dforsi@gmail.com>

 -- Agustin Henze <tin@debian.org>  Wed, 26 Aug 2015 11:23:08 +0200

natsort (4.0.3-1) unstable; urgency=medium

  * Fix debian/watch
  * Imported Upstream version 4.0.3

 -- Agustin Henze <tin@debian.org>  Fri, 21 Aug 2015 18:44:35 +0200

=== debian/control ===
--- 
+++ 
@@ -29,13 +29,13 @@
 Description: Natural sorting for python
  natsort lets you apply natural sorting to your sequences easily, for example:
  .
- >>> from natsort import natsorted
- >>> a = ['a2', 'a9', 'a1', 'a4', 'a10']
- >>> data = [['a1', 'a5'], ['a1', 'a40'], ['a10', 'a1'], ['a2', 'a5']]
- >>> natsorted(a)
- ['a1', 'a2', 'a4', 'a9', 'a10'
- >>> natsorted(data)
- [['a1', 'a5'], ['a1', 'a40'], ['a2', 'a5'], ['a10', 'a1']]
+  >>> from natsort import natsorted
+  >>> a = ['a2', 'a9', 'a1', 'a4', 'a10']
+  >>> data = [['a1', 'a5'], ['a1', 'a40'], ['a10', 'a1'], ['a2', 'a5']]
+  >>> natsorted(a)
+  ['a1', 'a2', 'a4', 'a9', 'a10'
+  >>> natsorted(data)
+  [['a1', 'a5'], ['a1', 'a40'], ['a2', 'a5'], ['a10', 'a1']]
  .
  natsort identifies the numbers and sorts them separately from strings.
  .
@@ -54,13 +54,13 @@
 Description: Natural sorting for Python (python3)
  natsort lets you apply natural sorting to your sequences easily, for example:
  .
- >>> from natsort import natsorted
- >>> a = ['a2', 'a9', 'a1', 'a4', 'a10']
- >>> data = [['a1', 'a5'], ['a1', 'a40'], ['a10', 'a1'], ['a2', 'a5']]
- >>> natsorted(a)
- ['a1', 'a2', 'a4', 'a9', 'a10'
- >>> natsorted(data)
- [['a1', 'a5'], ['a1', 'a40'], ['a2', 'a5'], ['a10', 'a1']]
+  >>> from natsort import natsorted
+  >>> a = ['a2', 'a9', 'a1', 'a4', 'a10']
+  >>> data = [['a1', 'a5'], ['a1', 'a40'], ['a10', 'a1'], ['a2', 'a5']]
+  >>> natsorted(a)
+  ['a1', 'a2', 'a4', 'a9', 'a10'
+  >>> natsorted(data)
+  [['a1', 'a5'], ['a1', 'a40'], ['a2', 'a5'], ['a10', 'a1']]
  .
  natsort identifies the numbers and sorts them separately from strings.
  .
@@ -80,13 +80,13 @@
 Description: Natural sorting for Python (doc)
  natsort lets you apply natural sorting to your sequences easily, for example:
  .
- >>> from natsort import natsorted
- >>> a = ['a2', 'a9', 'a1', 'a4', 'a10']
- >>> data = [['a1', 'a5'], ['a1', 'a40'], ['a10', 'a1'], ['a2', 'a5']]
- >>> natsorted(a)
- ['a1', 'a2', 'a4', 'a9', 'a10'
- >>> natsorted(data)
- [['a1', 'a5'], ['a1', 'a40'], ['a2', 'a5'], ['a10', 'a1']]
+  >>> from natsort import natsorted
+  >>> a = ['a2', 'a9', 'a1', 'a4', 'a10']
+  >>> data = [['a1', 'a5'], ['a1', 'a40'], ['a10', 'a1'], ['a2', 'a5']]
+  >>> natsorted(a)
+  ['a1', 'a2', 'a4', 'a9', 'a10'
+  >>> natsorted(data)
+  [['a1', 'a5'], ['a1', 'a40'], ['a2', 'a5'], ['a10', 'a1']]
  .
  natsort identifies the numbers and sorts them separately from strings.
  .

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	rm debian/python-natsort/usr/bin/natsort
+	rm -rf debian/python-natsort/usr/bin
 	PYTHONPATH=$(CURDIR) help2man --version-string="$(UPSTREAM_VERSION)" -n "Natural sorting for shell" debian/python3-natsort/usr/bin/natsort > debian/natsort.1
 	set -ex; \
 		cd docs; \

=== debian/watch ===
version=3

https://github.com/SethMMorton/natsort/releases .*archive/v([0-9.]*).tar.gz

## natsort 5.3.3

=== debian/changelog ===
natsort (5.3.3-1) unstable; urgency=medium

  * [d/rules]
    * Remove obsolete get-orig-source target
    * Use pkg-info.mk instead of parsing changelog by hand
  * [d/control]
    * Remove obsolete X-Python-* fields
    * Update Vcs-* fields pointing to salsa
    * Bump Standards-Version to 4.2.0 (no changes needed)
    * Fix capitalization of Python on package description
  * Add (autopkg) test
  * Fix debian/watch, upstream doesn't use `v` for tags anymore
  * Update dh to 11 (no changes needed)
  * New upstream version 5.3.3

 -- Agustin Henze <tin@debian.org>  Mon, 20 Aug 2018 10:14:23 +0200

## natsort 5.4.1

=== debian/changelog ===
natsort (5.4.1-1) unstable; urgency=medium

  * New upstream version 5.4.1
  * Remove patches, already fixed in upstream

 -- Agustin Henze <tin@debian.org>  Sat, 22 Sep 2018 15:12:29 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Agustin Henze <tin@debian.org>
 Uploaders: Ulises Vitulli <dererk@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  help2man,
  python-all,
@@ -12,12 +12,10 @@
  python3-all,
  python3-setuptools,
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
-Standards-Version: 3.9.6
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
+Standards-Version: 4.2.0
 Homepage: https://github.com/SethMMorton/natsort
-Vcs-Git: git://anonscm.debian.org/collab-maint/natsort.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/natsort.git
+Vcs-Git: https://salsa.debian.org/debian/natsort.git
+Vcs-Browser: https://salsa.debian.org/debian/natsort
 
 Package: python-natsort
 Architecture: all
@@ -26,7 +24,7 @@
 Breaks: python-naturalsort
 Conflicts: python-naturalsort
 Replaces: python-naturalsort
-Description: Natural sorting for python
+Description: Natural sorting for Python
  natsort lets you apply natural sorting to your sequences easily, for example:
  .
   >>> from natsort import natsorted
@@ -40,7 +38,7 @@
  natsort identifies the numbers and sorts them separately from strings.
  .
  natsort comes with a shell script to use natural sorting in shell scripts. You
- can also execute natsort from the command line with python -m natsort.
+ can also execute natsort from the command line with Python -m natsort.
  .
  There exists another natural sorting package for Python called
  python-naturalsort. You may prefer that package if you wish to only sort
@@ -51,7 +49,7 @@
 Recommends: python-natsort-doc
 Breaks: python-natsort (<= 3.2.1-1)
 Depends: ${python3:Depends}, ${misc:Depends}
-Description: Natural sorting for Python (python3)
+Description: Natural sorting for Python (Python3)
  natsort lets you apply natural sorting to your sequences easily, for example:
  .
   >>> from natsort import natsorted
@@ -65,11 +63,13 @@
  natsort identifies the numbers and sorts them separately from strings.
  .
  natsort comes with a shell script to use natural sorting in shell scripts. You
- can also execute natsort from the command line with python -m natsort.
+ can also execute natsort from the command line with Python -m natsort.
  .
  There exists another natural sorting package for Python called
  python-naturalsort. You may prefer that package if you wish to only sort
  version numbers.
+ .
+ This is the Python 3 version of the package.
 
 
 Package: python-natsort-doc
@@ -91,7 +91,7 @@
  natsort identifies the numbers and sorts them separately from strings.
  .
  natsort comes with a shell script to use natural sorting in shell scripts. You
- can also execute natsort from the command line with python -m natsort.
+ can also execute natsort from the command line with Python -m natsort.
  .
  There exists another natural sorting package for Python called
  python-naturalsort. You may prefer that package if you wish to only sort

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=$(DEB_SOURCE)

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/natsort.1
	rm -f debian/upstream.changelog
	rm -rf docs/_build

override_dh_installchangelogs:
	cat README.rst | grep -A 10000 History > debian/upstream.changelog
	dh_installchangelogs debian/upstream.changelog

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/python-natsort/usr/bin
	PYTHONPATH=$(CURDIR) help2man --version-string="$(DEB_VERSION_UPSTREAM)" -n "Natural sorting for shell" debian/python3-natsort/usr/bin/natsort > debian/natsort.1
	set -ex; \
		cd docs; \
		sphinx-build -C -b html -Dmaster_doc=index source _build/html;

## natsort 6.0.0

=== debian/changelog ===
natsort (6.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Drop python-sphinx from B-D and build only with Python 3 version of
    sphinx to allow removing of Python 2.7 in future

  [ Agustin Henze ]
  * New upstream version 6.0.0

  [ Iñaki Malerba ]
  * Fix docs path following upstream change

 -- Agustin Henze <tin@debian.org>  Mon, 11 Feb 2019 07:07:09 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python-setuptools,
  python3-all,
  python3-setuptools,
- python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
+ python3-sphinx,
 Standards-Version: 4.2.0
 Homepage: https://github.com/SethMMorton/natsort
 Vcs-Git: https://salsa.debian.org/debian/natsort.git

=== debian/rules ===
--- 
+++ 
@@ -29,4 +29,4 @@
 	PYTHONPATH=$(CURDIR) help2man --version-string="$(DEB_VERSION_UPSTREAM)" -n "Natural sorting for shell" debian/python3-natsort/usr/bin/natsort > debian/natsort.1
 	set -ex; \
 		cd docs; \
-		sphinx-build -C -b html -Dmaster_doc=index source _build/html;
+		python3 -m sphinx -C -b html -Dmaster_doc=index . _build/html;

=== debian/tests/control ===
Tests: unittests
Depends: @,
 tox,
 locales-all,
 build-essential,
 python2-dev,
 python3-dev,

=== debian/watch ===
version=3

https://github.com/SethMMorton/natsort/releases .*archive/v?([0-9.]*).tar.gz

## natsort 7.0.1

=== debian/changelog ===
natsort (7.0.1-2) unstable; urgency=low

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Scott Talbert ]
  * Update with Python 3.9's Unicode database (Closes: #973076)
  * Mark python-natsort-doc as Multi-Arch: foreign
  * Update debhelper-compat to 13
  * Rules-Requires-Root: no

 -- Scott Talbert <swt@techie.net>  Thu, 05 Nov 2020 20:36:02 -0500

natsort (7.0.1-1) unstable; urgency=medium

  * Team upload.
  * Move package to DPMT
  * Update Standards-Version to 4.5.0
  * Use debhelper-compat instead of debian/compat
  * Enable tests during build
  * Use local mathjax to avoid privacy breach

 -- Scott Talbert <swt@techie.net>  Fri, 10 Apr 2020 21:32:12 -0400

natsort (7.0.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update to new upstream release 7.0.1 (Closes: #950221)
  * Fix doc-base paths

 -- Scott Talbert <swt@techie.net>  Fri, 10 Apr 2020 15:57:14 -0400

natsort (6.0.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Make autopkgtest suite test the installed package (Closes: #944108)

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 04 Nov 2019 15:03:29 +0100

natsort (6.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #937112

 -- Sandro Tosi <morph@debian.org>  Sun, 06 Oct 2019 16:00:20 -0400

=== debian/control ===
--- 
+++ 
@@ -1,48 +1,25 @@
 Source: natsort
 Section: python
 Priority: optional
-Maintainer: Agustin Henze <tin@debian.org>
-Uploaders: Ulises Vitulli <dererk@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Agustin Henze <tin@debian.org>,
+ Ulises Vitulli <dererk@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  dh-python,
  help2man,
- python-all,
- python-setuptools,
+ locales-all <!nocheck>,
  python3-all,
+ python3-hypothesis <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-mock <!nocheck>,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.2.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/SethMMorton/natsort
-Vcs-Git: https://salsa.debian.org/debian/natsort.git
-Vcs-Browser: https://salsa.debian.org/debian/natsort
-
-Package: python-natsort
-Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
-Recommends: python-natsort-doc
-Breaks: python-naturalsort
-Conflicts: python-naturalsort
-Replaces: python-naturalsort
-Description: Natural sorting for Python
- natsort lets you apply natural sorting to your sequences easily, for example:
- .
-  >>> from natsort import natsorted
-  >>> a = ['a2', 'a9', 'a1', 'a4', 'a10']
-  >>> data = [['a1', 'a5'], ['a1', 'a40'], ['a10', 'a1'], ['a2', 'a5']]
-  >>> natsorted(a)
-  ['a1', 'a2', 'a4', 'a9', 'a10'
-  >>> natsorted(data)
-  [['a1', 'a5'], ['a1', 'a40'], ['a2', 'a5'], ['a10', 'a1']]
- .
- natsort identifies the numbers and sorts them separately from strings.
- .
- natsort comes with a shell script to use natural sorting in shell scripts. You
- can also execute natsort from the command line with Python -m natsort.
- .
- There exists another natural sorting package for Python called
- python-naturalsort. You may prefer that package if you wish to only sort
- version numbers.
+Vcs-Git: https://salsa.debian.org/python-team/packages/natsort.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/natsort
+Rules-Requires-Root: no
 
 Package: python3-natsort
 Architecture: all
@@ -71,11 +48,11 @@
  .
  This is the Python 3 version of the package.
 
-
 Package: python-natsort-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}, libjs-mathjax
 Recommends: python3-natsort
 Description: Natural sorting for Python (doc)
  natsort lets you apply natural sorting to your sequences easily, for example:

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export PYBUILD_NAME=$(DEB_SOURCE)
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -21,12 +21,10 @@
 	cat README.rst | grep -A 10000 History > debian/upstream.changelog
 	dh_installchangelogs debian/upstream.changelog
 
-override_dh_auto_test:
-
 override_dh_auto_install:
 	dh_auto_install
 	rm -rf debian/python-natsort/usr/bin
 	PYTHONPATH=$(CURDIR) help2man --version-string="$(DEB_VERSION_UPSTREAM)" -n "Natural sorting for shell" debian/python3-natsort/usr/bin/natsort > debian/natsort.1
 	set -ex; \
 		cd docs; \
-		python3 -m sphinx -C -b html -Dmaster_doc=index . _build/html;
+		python3 -m sphinx -C -b html -Dmaster_doc=index -Dmathjax_path=/usr/share/javascript/mathjax/MathJax.js . _build/html;

## natsort 7.1.0

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile
#
docutils==0.16            # via m2r
git+https://github.com/crossnox/m2r@dev#egg=m2r  # via -r requirements.in
mistune==0.8.4            # via m2r

=== debian/changelog ===
natsort (7.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 7.1.0.
  * Drop Python 3.9 patch now applied upstream.
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Demote reletionship against the -doc package from Recommends to Suggests.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 03 Dec 2020 22:14:05 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-pytest-mock <!nocheck>,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/SethMMorton/natsort
 Vcs-Git: https://salsa.debian.org/python-team/packages/natsort.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/natsort
@@ -23,9 +23,9 @@
 
 Package: python3-natsort
 Architecture: all
-Recommends: python-natsort-doc
+Depends: ${python3:Depends}, ${misc:Depends}
+Suggests: python-natsort-doc
 Breaks: python-natsort (<= 3.2.1-1)
-Depends: ${python3:Depends}, ${misc:Depends}
 Description: Natural sorting for Python (Python3)
  natsort lets you apply natural sorting to your sequences easily, for example:
  .

## natsort 8.0.2

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile
#
docutils==0.16            # via m2r2
m2r2==0.2.7               # via -r requirements.in
mistune==0.8.4            # via m2r2

=== debian/changelog ===
natsort (8.0.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + python3-natsort: Drop versioned constraint on python-natsort in Breaks.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 17 Jun 2022 09:19:23 +0100

natsort (8.0.2-1) unstable; urgency=medium

  * New upstream release
  * debian/watch
    - track github tags
  * debian/copyright
    - update upstream copyright information

 -- Sandro Tosi <morph@debian.org>  Mon, 17 Jan 2022 22:40:36 -0500

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,6 @@
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}
 Suggests: python-natsort-doc
-Breaks: python-natsort (<= 3.2.1-1)
 Description: Natural sorting for Python (Python3)
  natsort lets you apply natural sorting to your sequences easily, for example:
  .

=== debian/watch ===
version=3

https://github.com/SethMMorton/natsort/tags .*/@ANY_VERSION@@ARCHIVE_EXT@

## natsort 8.4.0

=== debian/changelog ===
natsort (8.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 8.4.0
  * Use dh-sequence-python3
  * Bump Standards-Version to 4.7.2
  * Drop "Rules-Requires-Root: no", it's the default now

 -- Alexandre Detiste <tchet@debian.org>  Wed, 20 Aug 2025 16:36:30 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Ulises Vitulli <dererk@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  help2man,
  locales-all <!nocheck>,
  python3-all,
@@ -15,11 +15,11 @@
  python3-pytest-mock <!nocheck>,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/SethMMorton/natsort
 Vcs-Git: https://salsa.debian.org/python-team/packages/natsort.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/natsort
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-natsort
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,9 @@
 export PYBUILD_NAME=$(DEB_SOURCE)
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	rm -f debian/natsort.1
 	rm -f debian/upstream.changelog
 	rm -rf docs/_build
@@ -21,8 +20,7 @@
 	cat README.rst | grep -A 10000 History > debian/upstream.changelog
 	dh_installchangelogs debian/upstream.changelog
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	rm -rf debian/python-natsort/usr/bin
 	PYTHONPATH=$(CURDIR) help2man --version-string="$(DEB_VERSION_UPSTREAM)" -n "Natural sorting for shell" debian/python3-natsort/usr/bin/natsort > debian/natsort.1
 	set -ex; \

=== debian/watch ===
version=4

https://github.com/SethMMorton/natsort/tags .*/@ANY_VERSION@@ARCHIVE_EXT@
